using Quartz;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace wispro.sp.api.Job
{
    public class MailJob : IJob
    {
        public Task Execute(IJobExecutionContext context)
        {
            string Subject = context.JobDetail.JobDataMap.Get("Subject").ToString();
            string Body = context.JobDetail.JobDataMap.Get("Body").ToString();
            string To = context.JobDetail.JobDataMap.Get("To").ToString();
            utility.MailUtil.SendEmail(Subject,Body,To);
            return Task.CompletedTask;
        }
    }
}
